# Create Installment

Endpoint: POST /api/payments/{payflow_id}/installments/create
Version: v1
Security: OAuth2ClientCredentials

## Path parameters:

  - `payflow_id` (string, required)

## Header parameters:

  - `X-Organization-Id` (string)
    Required if the account is part of multiple organizations. If the account only has access to one organization, this header is not required.

## Request fields (application/json):

  - `date` (string, required)

  - `grossAmount` (number, required)

  - `items` (array)

  - `items.description` (string)

  - `items.grossUnitPrice` (number)

  - `items.netUnitPrice` (number)

  - `items.grossTotalPrice` (any)
    If set, this will override the total price calculated from grossUnitPrice * quantity.

  - `items.netTotalPrice` (any)
    If set, this will override the total price calculated from netUnitPrice * quantity

  - `items.vatAmount` (number)

  - `items.quantity` (number)

  - `items.taxRate` (number)
    The tax rate in percent, e.g. 25 for 25%% or 20.9 for 20.9%

  - `items.discountRate` (number)

  - `items.lineType` (string)
    Enum: "regular", "shipping", "part-sum"

## Response 200 fields (application/json):

  - `id` (string, required)

  - `date` (string, required)

  - `type` (string, required)
    Enum: "initial", "scheduled"

  - `grossAmount` (number, required)

  - `status` (string, required)
    Enum: "DRAFT", "CREATED", "SENT", "OPENED", "FAILED", "PENDING", "PAID", "CANCELLED"

  - `numTried` (integer, required)

  - `successfullyChargedAt` (any, required)

  - `numFailed` (integer, required)

  - `lastFailedAt` (any, required)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

